import React from 'react';
import { OnChange } from 'react-final-form-listeners';

import { Fields } from './components/Fields';

export interface InputListenerProps {
  field: string;
  becomes: (value, previousValue) => boolean;
  set: string[];
  to: () => Promise<object>;
}

const InputListener: React.FunctionComponent<InputListenerProps> = ({
  field,
  becomes,
  set,
  to
}) => (
  <Fields names={set}>
    {fieldsState => (
      <OnChange name={field}>
        {(value, previousValue) =>
          becomes(value, previousValue) &&
          to().then(values => {
            Object.keys(fieldsState).map(fieldStateName => {
              fieldsState[fieldStateName].input.onChange(
                values[fieldStateName]
              );
            });
          })
        }
      </OnChange>
    )}
  </Fields>
);

export { InputListener };
