import React from 'react';
import { mount } from 'enzyme';
import { OnChange } from 'react-final-form-listeners';

import { InputListener } from '../InputListener';
import { FormWrapper } from './helpers';

const becomes = value => Boolean(value);
const toFunction = () => new Promise(resolve => resolve());

describe('Checkbox', () => {
  it('Renders the input listener', () => {
    const wrapper = mount(
      <FormWrapper>
        <InputListener
          field="text"
          becomes={becomes}
          set={[]}
          to={toFunction}
        />
      </FormWrapper>
    );
    expect(wrapper.find(InputListener)).toHaveLength(1);
    expect(wrapper.find(OnChange)).toHaveLength(1);
  });
});
